## net.htmlparser.jericho
Class CharStreamSourceUtil

    java.lang.Object
      net.htmlparser.jericho.CharStreamSourceUtil

    public final class CharStreamSourceUtil

extends Object

Contains static utility methods for manipulating the way data is retrieved from a `CharStreamSource` object.

See the documentation of the `CharStreamSource` class for details.

Method Summary
`static Reader` `getReader(CharStreamSource charStreamSource)` Returns a `Reader` that reads the output of the specified `CharStreamSource`.
`static String` `toString(CharStreamSource charStreamSource)` Returns the output of the specified `CharStreamSource` as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getReader

    public static Reader getReader(CharStreamSource charStreamSource)

  Returns a `Reader` that reads the output of the specified `CharStreamSource`.

  The current implementation of this method simply returns `new StringReader(``toString(charStreamSource)``)`, but a future version may implement this method in a more memory efficient manner.

  Parameters:
    `charStreamSource` - the character stream source producing the output.
  Returns:
    a `Reader` that reads the output of the specified `CharStreamSource`.

### toString

    public static String toString(CharStreamSource charStreamSource)

  Returns the output of the specified `CharStreamSource` as a string.

  The current implementation of this method simply returns `new StringReader(``toString(charStreamSource)``)`, but a future version may implement this method in a more memory efficient manner, for example by utilising a temporary file.

  Parameters:
    `charStreamSource` - the character stream source producing the output.
  Returns:
    the output of the specified `CharStreamSource` as a string.